.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-link {
  color: #61dafb;
}

.spans {
  margin: 20px 0px;
}

.spans > span {
  margin: 5px;
  padding: 15px 30px;
  border: 1px solid #61dafb;
  border-radius: 4px;
}

.spans > span:hover {
  color: #282c34;
  background-color: #61dafb;
}

.nota span {
  margin:0px 5px;
}

.nota input {
  width: 120px;
}

.flash {
  width: 300px;
  height: 160px;
  box-shadow: 2px 2px 1px 1px rgba(0, 0, 0, 0.63);
  border-radius: 4px;
  cursor: pointer;
  text-align: center;
  position: fixed;
  top: 1%;
  right: 1%;
  color: white;
  font-size: 16px;
  font-weight: bold;
}

.flash {
  display: none;
}

.flash span {
  font-size: 20px;
  font-weight: bold;
}

.vermelho {
  border: 1px solid #ff4444;
  background-color: #ff4444;
}

.verde {
  border: 1px solid #00C851;
  background-color: #00C851;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.fade-in {
  display: flex;
  justify-content: center;
  align-items: center;
  animation: fadein 1s linear forwards;
}

.fade-out {
  animation: fadeout 1s linear forwards;
}

@keyframes fadein { from { opacity: 0; } to { opacity: 1; visibility: visible; } }
@keyframes fadeout { from { opacity: 1; } to { opacity: 0; visibility: hidden; } }


/*********************************************************************/

.mensagem-erro {
  color: #ff4444;
  font-size: 12px;
}

.erro {
  border-color: #ff4444;
}